%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define name            mm.mysql
%define version         2.0.14
%define release         1jpp

Summary: 	JDBC driver for MySQL
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Copyright: 	GPL
Group: 		Development/Libraries
Source: 	http://mmmysql.sourceforge.net/%{name}-%{version}-you-must-unjar-me.jar
Patch:      %{name}-%{version}.patch
URL:		http://mmmysql.sourceforge.net
Packager: 	Gomez Henri <hgomez@slib.fr>
BuildRoot: 	/var/tpm/%{name}-root
BuildArch: 	noarch
Requires:   jdbc-stdext >= 2.0, jta >= 1.0.1a

%description
JDBC driver for MySQL

%package javadoc
Summary: 	Javadoc for mmmysql
Group: 		Documentation

%description javadoc
documentation for mmmysql

%prep
rm -rf META-INF
rm -rf %{name}-%{version}
jar xvf %{SOURCE0}

%patch

%build
cd %{name}-%{version}
# clean-up dirty stuff
ant clean
ant -Djdbc2_0-stdext.jar=%{javadir}/jdbc-stdext-2.0.jar -Djta-spec1_0_1.jar=%{javadir}/jta.jar -Djava1.1.home=/usr/jdk118 javadoc

%install
cd %{name}-%{version}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{javadir}
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
install -m 644 build/%{name}-%{version}/%{name}-%{version}-bin.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
cp -rf build/%{name}-%{version}/docs/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

# jar versioning
for jar in $RPM_BUILD_ROOT%{javadir}/*-%{version}.jar; do
    (cd $RPM_BUILD_ROOT%{javadir} && ln -sf `basename $jar` `basename $jar -%{version}.jar`.jar)
done


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf META-INF/

%files
%defattr(644 root root 755)
%doc %{name}-%{version}/{CHANGES,COPYING,README}
%attr(755,root,root) %dir   %{javadir}
%attr( 644 ,root,root) 		%{javadir}/*.jar

%files javadoc
%defattr(644 root root 755)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Jun 06 2002 Henri Gomez <hgomez@slib.fr> 2.0.14.1jpp
- mm.mysql 2.0.14

* Tue May 07 2002 Henri Gomez <hgomez@slib.fr> 2.0.13.1jpp
- mm.mysql 2.0.13

* Tue Mar 26 2002 Henri Gomez <hgomez@slib.fr> 2.0.11.2jpp
- correct changelog

* Mon Feb 04 2002 Henri Gomez <hgomez@slib.fr>
- mm.mysql 2.0.11

* Thu Jan 17 2002 Henri Gomez <hgomez@slib.fr>
- mm.mysql 2.0.8
- seriously patch build.xml to make it compile on Linux boxes
  with both JDK 1.2/1.3 and 1.1
- added javadoc generation to build.xml
- changed manual to javadoc package

* Tue Feb 06 2001 Henri Gomez <hgomez@slib.fr>
- mm.mysql 2.0.4
- Fixes to getDecimal to fix decimal place wrong bug

* Mon Jan 15 2001 Henri Gomez <hgomez@slib.fr>
- Initial release mm.mysql 2.0.3
- detect jdbc-2.0 extension jar (javax.sql) and if present
  also build MysqlDataSource and MysqlDataSourceFactory
- build with IBM JDK 1.3.0 (cx130-20001114) and jikes 1.12
- build CLASSPATH=/usr/share/java/jdbc2_0-stdext.jar

